=== debian/changelog ===
mocassin (2.02.72-2) unstable; urgency=low

  * simplified build dependencies (Closes: #842364)

 -- Roger Wesson <rw@nebulousresearch.org>  Mon, 31 Oct 2016 14:36:59 +0000

mocassin (2.02.72-1) unstable; urgency=low

  * new upstream version 2.02.72.  major speedup for gas models from more
    efficient data handling.

 -- Roger Wesson <rw@nebulousresearch.org>  Wed, 26 Oct 2016 10:08:09 +0100

mocassin (2.02.71-1) unstable; urgency=low

  * Initial release. (Closes: #827841)

 -- Roger Wesson <rw@nebulousresearch.org>  Wed, 17 Aug 2016 20:23:02 +0100
