## mocassin 2.02.73

=== Makefile ===
--- 
+++ 
@@ -69,10 +69,10 @@
 	test -e $(DESTDIR)$(PREFIX)/share/mocassin || mkdir -p $(DESTDIR)$(PREFIX)/share/mocassin
 	test -e $(DESTDIR)$(PREFIX)/bin || mkdir -p $(DESTDIR)$(PREFIX)/bin
 	test -e $(MANDIR) || mkdir -p $(MANDIR)
-	cp -r data/ $(DESTDIR)$(PREFIX)/share/mocassin
-	cp -r dustData/ $(DESTDIR)$(PREFIX)/share/mocassin
-	cp -r benchmarks/ $(DESTDIR)$(PREFIX)/share/mocassin
-	cp -r examples/ $(DESTDIR)$(PREFIX)/share/mocassin
+	cp -R data $(DESTDIR)$(PREFIX)/share/mocassin
+	cp -R dustData $(DESTDIR)$(PREFIX)/share/mocassin
+	cp -R benchmarks $(DESTDIR)$(PREFIX)/share/mocassin
+	cp -R examples $(DESTDIR)$(PREFIX)/share/mocassin
 	install -m 644 man/mocassin.1 $(MANDIR)
 	gzip -f $(MANDIR)/mocassin.1
 	ln -s -f $(MANDIR)/mocassin.1.gz $(MANDIR)/mocassinWarm.1.gz
