=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Roger Wesson <rw@nebulousresearch.org>
-Build-Depends: debhelper (>= 9.0.0),
+Build-Depends: debhelper (>= 11.0.0),
                gfortran,
                libmpich-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.5.0
 Homepage: http://www.3d-mocassin.net
-Vcs-Git: https://anonscm.debian.org/git/debian-astro/packages/mocassin.git
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-astro/packages/mocassin.git
+Vcs-Git: https://salsa.debian.org/debian-astro-team/mocassin.git
+Vcs-Browser: https://salsa.debian.org/debian-astro-team/mocassin
 
 Package: mocassin
 Architecture: any
