=== debian/changelog ===
mocassin (2.02.73.1-1) unstable; urgency=medium

  * new upstream release
  * updated Standards-Version and debhelper-compat, added Rules-Requires-Root
  * removed now-redundant patches
  * mocassinWarm, mocassinOutput and mocassinPlot now also installed

 -- Roger Wesson <rw@nebulousresearch.org>  Mon, 08 Feb 2021 14:22:59 +0000

mocassin (2.02.73-3) unstable; urgency=low

  * compile with -std=legacy to word with gcc-10 (Closes: #957555)

 -- Roger Wesson <rw@nebulousresearch.org>  Wed, 05 Aug 2020 14:33:17 +0100
