=== debian/changelog ===
mocassin (2.02.73.2-1) unstable; urgency=medium

  * New upstream version 2.02.73.2. Closes: #982851

 -- Roger Wesson <rw@nebulousresearch.org>  Thu, 25 Feb 2021 21:13:59 +0100
