=== debian/control ===
--- 
+++ 
@@ -3,11 +3,12 @@
 Priority: optional
 Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Roger Wesson <rw@nebulousresearch.org>
-Build-Depends: debhelper (>= 11.0.0),
+Build-Depends: debhelper-compat (= 13),
                gfortran,
                libmpich-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: http://www.3d-mocassin.net
+Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian-astro-team/mocassin.git
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/mocassin
